Target version: Unassigned CDM tickets

Severity: normal

Description

Installing the Taxonmic Editor has been identified as a big obstacle to a lot of users since the installation process currently involves
downloading and installing a suitable java runtime environment and downloading and installing the editor itself.

The Taxonmic Editor should be installable by "one click" on each platform (Windows XP to 8, Mac OS X 10.5 and later, Debian
based Linux systems). Installable by one click means actually that the installation package is provided as standard installer suitable
for the different platforms:

e Windows XP to 8: executable exe file

¢ Mac OS X 10.5 and later: dmg file

¢ Debian based Linux systems: deb file

The BitRock InstallBuilder (http:/installbuilder.bitrock.com/) is capable of producing installers for a big variety of platforms and also
seems to be a flexible and mature tool.

The installer should contain:

1. The OS specific Eclipse application which is created by a Jenkins job (http:/160.45.63.201/jenkins/) and deployed to
http://cybertaxonomy.org/download/taxeditor/. The version of the taxonomic editor to be bundled into the installer must be
configurable via a parameter to the install builder process.

2. a suitable Java JRE for the specific platform, that is the latest java 1.7.x version. How can we assure that always the latest
version of java is being used?

The process of running the install builder should be integrated into the build and deploy pipeline on the jenkins server (
http://160.45.63.201/jenkins/). If the install builder has to be run for each platform specific installer separately we will need to set up a
matrix job at jenkins.

History

#1 - 02/04/2014 02:28 PM - Andreas Miiller

We may also need something similar for Dataportals and CDM Server

#2 - 02/04/2014 03:07 PM - Andreas Kohlbecker

Replying to a.mueller:

We may also need something similar for Dataportals and CDM Server

Yes, and we already discussed this during the Vibrant Workshop:
The results from this discussion are now in a new ticket: #4025 (ease installation of platform components)

According to the findings described in this ticket regarding the editor we know that option 1. "Java Web Start" is not suitable, since this will already
require a fully functional jre.

#3 - 02/27/2014 12:48 PM - Andreas Kohlbecker
- Subject changed from One click install for TaxEditor to One click installer for TaxEditor

#4 - 02/27/2014 01:20 PM - Cherian Mathew

If choosing the option of the BitRock Installer one thing to note is that although this is a commercial product they offer open source licenses for open
source projects (http:/installbuilder.bitrock.com/open-source-licenses.html).

| have contacted them to enquire about our situation and the email exchange (dated 07/02/2013) is appended below,

Hi Cherian,
Thanks for your interest in InstallBuilder.
we would not be able to carry any branding of your product when using it for our

application.

We would be happy to give you one license for your project, but please note that the screens of installers created with InstallBuilder contain a
watermark saying "powered by InstallBuilder", which is part of the product and cannot be removed.

Best regards,
BitRock Sales

e Original Message -
Hello,

I am a software developer working with the biodiversity Informatics group at the BGBM (http://www.bgbm.org/) .
Out of the many taxonomy based (open—-source) projects that we undertake, the EDIT Taxonomic Editor (http://wp
5.e-taxonomy.eu/taxeditor/) is a desktop application which is used by taxonomists spread across many Universit
ies and Institutes. Licensing for the application can be found at - http://wp5.e-taxonomy.eu/taxeditor/license
.html.

| have had a quick look at the InstallBuilder product and think that it would be a perfect install delivery system for our application. | was wondering if
our application would meet your open-source requirements and if we would be able to use the InstallBuilder with an open source licence. Also, please
note that due to financial (tax) obligations we would not be able to carry any branding of your product when using it for our application.

#5 - 02/27/2014 01:21 PM - Cherian Mathew

We may have to re-check with them to confirm, since it was some time ago. We should also make sure that the installbuilder branding is not a
problem for us

#6 - 05/12/2018 07:44 PM - Andreas Miiller

- Description updated

- Assignee changed from Cherian Mathew to Patrick Plitzner

- Priority changed from New to Priority13

- Target version changed from TaxEditor Next Major Release to Unassigned CDM tickets

- Private changed from Yes to No

Not sure if this is still a highly relevant issue as JRE is now included if needed. However, one click install is definetely a nice feature and "with JRE"
installation needs to be reevaluated anyway with Java 11 policy not to have preinstalled JREs anymore.

#7 - 04/21/2020 12:19 PM - Andreas Miuller

- Assignee changed from Patrick Plitzner to Katja Luther

#8 - 01/20/2022 10:03 AM - Andreas Kohlbecker
- Parent task deleted (#4025)
